# YouTube Analytics API . batchReports

## Instance Methods

Retrieves a list of processed batch reports.

### Method Details

`list(batchReportDefinitionId, onBehalfOfContentOwner)`

    Retrieves a list of processed batch reports.

    Args:
      batchReportDefinitionId: string, The batchReportDefinitionId parameter specifies the ID of the batch reportort definition for which you are retrieving reports. (required)
      onBehalfOfContentOwner: string, The onBehalfOfContentOwner parameter identifies the content owner that the user is acting on behalf of. (required)

    Returns:
      An object of the form:

        { # A paginated list of batchReport resources returned in response to a youtubeAnalytics.batchReport.list request.
        "items": [ # A list of batchReport resources that match the request criteria.
          { # Contains single batchReport resource.
            "kind": "youtubeAnalytics#batchReport", # This value specifies the type of data of this item. For batch report the kind property value is youtubeAnalytics#batchReport.
            "timeSpan": { # Period included in the report. For reports containing all entities endTime is not set. Both startTime and endTime are inclusive.
              "endTime": "A String", # End of the period included in the report. Inclusive. For reports containing all entities endTime is not set.
              "startTime": "A String", # Start of the period included in the report. Inclusive.
            },
            "outputs": [ # Report outputs.
              {
                "downloadUrl": "A String", # Cloud storage URL to download this report. This URL is valid for 30 minutes.
                "type": "cloudStorageOutput", # Type of the output.
                "format": "A String", # Format of the output.
              },
            ],
            "reportId": "A String", # The ID of the the report definition.
            "timeUpdated": "A String", # The time when the report was updated.
            "id": "A String", # The ID that YouTube assigns and uses to uniquely identify the report.
          },
        ],
        "kind": "youtubeAnalytics#batchReportList", # This value specifies the type of data included in the API response. For the list method, the kind property value is youtubeAnalytics#batchReportList.
      }